{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":482,"path":"api-reference/rest-apis/c_TableAPI.md","title":"Table API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Table API\n\nThe Table API provides endpoints that allow you to perform create, read, update, and delete \\(CRUD\\) operations on existing tables.\n\nThe calling user must have sufficient roles to access the data in the table specified in the request.\n\nView a list of all tables by navigating to **System Definition** &gt; **Tables**, or in the drop-down **tableName** path parameter for any Table API endpoint in the REST API Explorer.\n\n**Parent Topic:**[REST API reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-apis/api-rest.md)\n\n## Table - DELETE /now/table/\\{tableName\\}/\\{sys\\_id\\}\n\nDeletes the specified record from the specified table.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/table/{tableName}/{sys_id}`\n\nDefault URL: `/api/now/table/{tableName}/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the record to delete.Data type: String\n\n</td></tr><tr><td>\n\ntableName\n\n</td><td>\n\nName of the table from which to delete the specified record, such as \"incident\" or \"asset\".Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_query\\_no\\_domain\n\n</td><td>\n\nFlag that indicates whether to restrict the record search to only the domains for which the logged in user is configured.Valid values:\n\n-   false: Exclude the record if it is in a domain that the currently logged in user is not configured to access.\n-   true: Include the record even if it is in a domain that the currently logged in user is not configured to access.\n\nData type: Boolean\n\nDefault: false\n\n**Note:** The **sysparm\\_query\\_no\\_domain** parameter is available only to system administrators or users who have the query\\_no\\_domain\\_table\\_api role.\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td>\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|204|Indicates that the request completed successfully.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|None||\n\n### cURL request\n\nDelete a record from the Incident table.\n\n```\ncurl \"https://instance.servicenow.com/api/now/table/incident/d977b66a4f411200adf9f8e18110c7b2\" \\\n--request DELETE \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nThere is no response body.\n\n```\nNone\n```\n\n## Table - GET /now/table/\\{tableName\\}\n\nRetrieves multiple records for the specified table.\n\nFor basic instructions, see [Retrieve existing incidents](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md).\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/table/{tableName}`\n\nDefault URL: `/api/now/table/{tableName}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td>\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Depending on the version, this endpoint returns different results on a valid query.\n\n-   Version 1 returns error code 404 with no results.\n-   Version 2 returns success code 200 and an empty array as the response body.\n\n Data type: String\n\n</td></tr><tr><td>\n\ntableName\n\n</td><td>\n\nName of the table from which to retrieve the records.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nname-value pairs\n\n</td><td>\n\nName-value pairs to use to filter the result set. This parameter is mutually exclusive with **sysparm\\_query**. For example, instead of using `&sysparm_query=active=true`, you can simplify the calling statement by using `&active=true`. You can also use the display value when the field is a choice or reference type field, such as `&state=closed` instead of `&state=7`. To specify multiple key-value pairs, separate each with an ampersand, such as `&active=true&assigned_to=john.smith`.Data type: String\n\n</td></tr><tr id=\"rest_api_sysparm_display_value_param\"><td>\n\nsysparm\\_display\\_value\n\n</td><td>\n\nDetermines the type of data returned, either the actual values from the database or the display values of the fields. Display values are manipulated based on the actual value in the database and user or system settings and preferences.If returning display values, the value that is returned is dependent on the field type.\n\n-   Choice fields: The database value may be a number, but the display value will be more descriptive.\n-   Date fields: The database value is in UTC format, while the display value is based on the user's time zone.\n-   Encrypted text: The database value is encrypted, while the displayed value is unencrypted based on the user's encryption context.\n-   Reference fields: The database value is sys\\_id, but the display value is a display field of the referenced record.\n\nData type: String\n\nValid values:\n\n-   true: Returns the display values for all fields.\n-   false: Returns the actual values from the database.\n-   all: Returns both actual and display values.\n\nDefault: false\n\n**Note:** There is no preferred method for setting this parameter. However, specifying the display value may cause performance issues since it is not reading directly from the database and may include referencing other fields and records. For more information on display values and actual values, see [Table API FAQs \\(KB0534905\\).](https://support.servicenow.com/kb_view.do?sysparm_article=KB0534905)\n\n</td></tr><tr id=\"rest_api_sysparm_exclude_reference_link\"><td>\n\nsysparm\\_exclude\\_reference\\_link\n\n</td><td>\n\nFlag that indicates whether to exclude Table API links for reference fields.Valid values:\n\n-   true: Exclude Table API links for reference fields.\n-   false: Include Table API links for reference fields.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"rest_api_sysparm_fields_param\"><td>\n\nsysparm\\_fields\n\n</td><td>\n\nComma-separated list of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: Return all fields.\n\n</td></tr><tr><td>\n\nsysparm\\_limit\n\n</td><td>\n\nMaximum number of records to return. For requests that exceed this number of records, use the **sysparm\\_offset** parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.\n\n**Note:** Unusually large **sysparm\\_limit** values can impact system performance.\n\nData type: Number\n\nDefault: 10000\n\n</td></tr><tr><td>\n\nsysparm\\_no\\_count\n\n</td><td>\n\nFlag that indicates whether to execute a `select count(*)` query on the table to return the number of rows in the associated table.Valid values:\n\n-   true: Do not execute a `select count(*)`.\n-   false: Execute a `select count(*)`.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr id=\"row_sysparm_offset\"><td>\n\nsysparm\\_offset\n\n</td><td>\n\nStarting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, **sysparm\\_offset** is set to \"0\". To simply page through all available records, use `sysparm_offset=sysparm_offset+sysparm_limit`, until you reach the end of all records.\n\nDon't pass a negative number in the **sysparm\\_offset** parameter.Data type: Number\n\nDefault: 0\n\n</td></tr><tr id=\"rest_api_sysparm_query_param\"><td>\n\nsysparm\\_query\n\n</td><td>\n\n[Encoded query](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-user-interface/c_EncodedQueryStrings.md) used to filter the result set. You can use a UI filter to obtain a properly encoded query.Syntax: `sysparm_query=<col_name><operator><value>`. Column names, operators, and values are case-sensitive.\n\n-   &lt;col\\_name&gt;: Name of the table column to filter on.\n-   &lt;operator&gt;: Supports the following values:\n    -   `=`: &lt;col\\_name&gt; exactly matches &lt;value&gt;.\n    -   `!=`: &lt;col\\_name&gt; does not match &lt;value&gt;.\n    -   `LIKE`: &lt;col\\_name&gt; contains the specified string &lt;value&gt;. Only works for &lt;col\\_name&gt; fields whose data type is string.\n    -   `STARTSWITH`: &lt;col\\_name&gt; starts with the specified string &lt;value&gt;. Only works for &lt;col\\_name&gt; fields whose data type is string.\n    -   `ENDSWITH`: &lt;col\\_name&gt; ends with the specified string &lt;value&gt;. Only works for &lt;col\\_name&gt; fields whose data type is string.\n    -   `^`: AND operator to add an additional query condition. Records included in the result set match both conditions.\n    -   `^OR`: OR operator to add an additional query condition. Records included in the result set match at least one of the conditions.\n-   &lt;value&gt;: Value to filter on.\n\nFor more information about operators, see [Operators available for filters and queries](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-user-interface/r_OpAvailableFiltersQueries.md).\n\nQueries can contain multiple conditions. For example, the following query returns records where the caller is the current user and the record is active.\n\n`sysparm_query=caller_id=javascript:gs.getUserID()^active=true`\n\nEncoded queries also support order by ascending and descending functionality. To sort responses based on certain fields, use the `ORDERBY` and `ORDERBYDESC` clauses in **sysparm\\_query**.\n\nSyntax:\n\n-   `ORDERBY<col_name>`\n-   `ORDERBYDESC<col_name>`\n\nFor example, the following query gets all active records and orders the results in ascending order by number, and then in descending order by category.\n\n`sysparm_query=active=true^ORDERBYnumber^ORDERBYDESCcategory`\n\nBy default, if part of a query is invalid, such as an invalid field name, the instance ignores the invalid part. It then returns rows using only the valid portion of the query. Set the property **glide.invalid\\_query.returns\\_no\\_rows** to `true` to instead return no rows on an invalid query.\n\n**Note:** The **glide.invalid\\_query.returns\\_no\\_rows** property controls the behavior of all queries across the instance, such as in lists, scripts \\(GlideRecord.query\\(\\)\\), and web service APIs.\n\nData type: String\n\n</td></tr><tr><td>\n\nsysparm\\_query\\_category\n\n</td><td>\n\nName of the category to use for queries.Data type: String\n\n</td></tr><tr><td>\n\nsysparm\\_query\\_no\\_domain\n\n</td><td>\n\nFlag that indicates whether to restrict the record search to only the domains for which the logged in user is configured.Valid values:\n\n-   false: Exclude the record if it is in a domain that the currently logged in user is not configured to access.\n-   true: Include the record even if it is in a domain that the currently logged in user is not configured to access.\n\nData type: Boolean\n\nDefault: false\n\n**Note:** The **sysparm\\_query\\_no\\_domain** parameter is available only to system administrators or users who have the query\\_no\\_domain\\_table\\_api role.\n\n</td></tr><tr id=\"rest_api_param_sysparm_suppress_pagination\"><td>\n\nsysparm\\_suppress\\_pagination\\_header\n\n</td><td>\n\nFlag that indicates whether to remove the Link header from the response. The Link header provides various URLs to relative pages in the record set which you can use to paginate the returned record set.Valid values:\n\n-   true: Remove the Link header from the response.\n-   false: Do not remove the Link header from the response.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nUI view for which to render the data. Determines the fields returned in the response.Valid values:\n\n-   desktop\n-   mobile\n-   both\n\nIf you also specify the **sysparm\\_fields** parameter, it takes precedent.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table><table class=\"rest_api_response_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nLink\n\n</td><td>\n\nRelative URLs, based on the previous request, that you can use to page through the available record set. For example:\n\n`https://<instance name>.servicenow.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel=\"next\"`,\n\n`https://<instance name>.servicenow.com/api/now/table/cmdb_ci?sysparm_offset=40&sysparm_limit=1000>;rel=\"prev\"`,\n\n`https://<instance name>.servicenow.com/api/now/table/cmdb_ci?sysparm_offset=0&sysparm_limit=1000>;rel=\"first\"`,\n\n`https://<instance name>.servicenow.com/api/now/table/cmdb_ci?sysparm_offset=2780&sysparm_limit=1000>;rel=\"last\"`\n\nFor additional information on the **rel** parameter, refer to [https://html.spec.whatwg.org/multipage/links.html\\#linkTypes](https://html.spec.whatwg.org/multipage/links.html#linkTypes).\n\n</td></tr><tr><td>\n\nX-Total-Count\n\n</td><td>\n\nTotal count of records returned by the query.\n\n</td></tr></tbody>\n</table>### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Request completed successfully. If a valid query returned no results, the response body contains only an empty result array.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Parameter|Description|\n|---------|-----------|\n|name-value pairs|Field names and values of all parameters within the specified record or those specified in the query parameters.|\n\n### cURL request\n\nRetrieve the first record from the Problem table.\n\n```\ncurl \"https://instance.servicenow.com/api/now/table/problem?sysparm_limit=1\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nThe response contains the name-value pairs for the requested record.\n\n```\n{\n  \"result\": [\n    {\n      \"parent\": \"\",\n      \"made_sla\": \"true\",\n      \"watch_list\": \"\",\n      \"upon_reject\": \"cancel\",\n      \"sys_updated_on\": \"2016-01-19 04:52:04\",\n      \"approval_history\": \"\",\n      \"number\": \"PRB0000050\",\n      \"sys_updated_by\": \"glide.maint\",\n      \"opened_by\": {\n        \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/glide.maint\",\n        \"value\": \"glide.maint\"\n      },\n      \"user_input\": \"\",\n      \"sys_created_on\": \"2016-01-19 04:51:19\",\n      \"sys_domain\": {\n        \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/global\",\n        \"value\": \"global\"\n      },\n      \"state\": \"4\",\n      \"sys_created_by\": \"glide.maint\",\n      \"knowledge\": \"false\",\n      \"order\": \"\",\n      \"closed_at\": \"2016-01-19 04:52:04\",\n      \"cmdb_ci\": {\n        \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_ci/55b35562c0a8010e01cff22378e0aea9\",\n        \"value\": \"55b35562c0a8010e01cff22378e0aea9\"\n      },\n      \"delivery_plan\": \"\",\n      \"impact\": \"3\",\n      \"active\": \"false\",\n      \"work_notes_list\": \"\",\n      \"business_service\": \"\",\n      \"priority\": \"4\",\n      \"sys_domain_path\": \"/\",\n      \"time_worked\": \"\",\n      \"expected_start\": \"\",\n      \"rejection_goto\": \"\",\n      \"opened_at\": \"2016-01-19 04:49:47\",\n      \"business_duration\": \"1970-01-01 00:00:00\",\n      \"group_list\": \"\",\n      \"work_end\": \"\",\n      \"approval_set\": \"\",\n      \"wf_activity\": \"\",\n      \"work_notes\": \"\",\n      \"short_description\": \"Switch occasionally drops connections\",\n      \"correlation_display\": \"\",\n      \"delivery_task\": \"\",\n      \"work_start\": \"\",\n      \"assignment_group\": \"\",\n      \"additional_assignee_list\": \"\",\n      \"description\": \"Switch occasionally drops connections\",\n      \"calendar_duration\": \"1970-01-01 00:02:17\",\n      \"close_notes\": \"updated firmware\",\n      \"sys_class_name\": \"problem\",\n      \"closed_by\": \"\",\n      \"follow_up\": \"\",\n      \"sys_id\": \"04ce72c9c0a8016600b5b7f75ac67b5b\",\n      \"contact_type\": \"phone\",\n      \"urgency\": \"3\",\n      \"company\": \"\",\n      \"reassignment_count\": \"\",\n      \"activity_due\": \"\",\n      \"assigned_to\": \"\",\n      \"comments\": \"\",\n      \"approval\": \"not requested\",\n      \"sla_due\": \"\",\n      \"comments_and_work_notes\": \"\",\n      \"due_date\": \"\",\n      \"sys_mod_count\": \"1\",\n      \"sys_tags\": \"\",\n      \"escalation\": \"0\",\n      \"upon_approval\": \"proceed\",\n      \"correlation_id\": \"\",\n      \"location\": \"\"\n    }\n  ]\n}\n```\n\n## Table - GET /now/table/\\{tableName\\}/\\{sys\\_id\\}\n\nRetrieves the record identified by the specified sys\\_id from the specified table.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/table/{tableName}/{sys_id}`\n\nDefault URL: `/api/now/table/{tableName}/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td>\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the record to retrieve.Data type: String\n\n</td></tr><tr><td>\n\ntableName\n\n</td><td>\n\nName of the table from which to retrieve the record.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_display\\_value\n\n</td><td>\n\nDetermines the type of data returned, either the actual values from the database or the display values of the fields. Display values are manipulated based on the actual value in the database and user or system settings and preferences.If returning display values, the value that is returned is dependent on the field type.\n\n-   Choice fields: The database value may be a number, but the display value will be more descriptive.\n-   Date fields: The database value is in UTC format, while the display value is based on the user's time zone.\n-   Encrypted text: The database value is encrypted, while the displayed value is unencrypted based on the user's encryption context.\n-   Reference fields: The database value is sys\\_id, but the display value is a display field of the referenced record.\n\nData type: String\n\nValid values:\n\n-   true: Returns the display values for all fields.\n-   false: Returns the actual values from the database.\n-   all: Returns both actual and display values.\n\nDefault: false\n\n**Note:** There is no preferred method for setting this parameter. However, specifying the display value may cause performance issues since it is not reading directly from the database and may include referencing other fields and records. For more information on display values and actual values, see [Table API FAQs \\(KB0534905\\).](https://support.servicenow.com/kb_view.do?sysparm_article=KB0534905)\n\n</td></tr><tr><td>\n\nsysparm\\_exclude\\_reference\\_link\n\n</td><td>\n\nFlag that indicates whether to exclude Table API links for reference fields.Valid values:\n\n-   true: Exclude Table API links for reference fields.\n-   false: Include Table API links for reference fields.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nsysparm\\_fields\n\n</td><td>\n\nComma-separated list of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: Return all fields.\n\n</td></tr><tr><td>\n\nsysparm\\_query\\_no\\_domain\n\n</td><td>\n\nFlag that indicates whether to restrict the record search to only the domains for which the logged in user is configured.Valid values:\n\n-   false: Exclude the record if it is in a domain that the currently logged in user is not configured to access.\n-   true: Include the record even if it is in a domain that the currently logged in user is not configured to access.\n\nData type: Boolean\n\nDefault: false\n\n**Note:** The **sysparm\\_query\\_no\\_domain** parameter is available only to system administrators or users who have the query\\_no\\_domain\\_table\\_api role.\n\n</td></tr><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nUI view for which to render the data. Determines the fields returned in the response.Valid values:\n\n-   desktop\n-   mobile\n-   both\n\nIf you also specify the **sysparm\\_fields** parameter, it takes precedent.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|None| |\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td id=\"accept-entry-RESTAPI\">\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Parameter|Description|\n|---------|-----------|\n|name-value pairs|Field names and values of all parameters within the specified record or those specified in the query parameters.|\n\n### cURL request\n\nRetrieve a record from the Incident table.\n\n```\ncurl \"https://instance.servicenow.com/api/now/table/incident/a9e30c7dc61122760116894de7bcc7bd\" \\\n--request GET \\\n--header \"Accept:application/json\" \\\n--user 'username':'password'\n```\n\nThe response contains the name-value pairs for the requested record.\n\n```\n{\n  \"result\": {\n    \"upon_approval\": \"\",\n    \"location\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/cmn_location/105cf7f3c611227501e75e08b14a38ba\",\n      \"value\": \"105cf7f3c611227501e75e08b14a38ba\"\n    },\n    \"expected_start\": \"\",\n    \"reopen_count\": \"\",\n    \"close_notes\": \"\",\n    \"additional_assignee_list\": \"\",\n    \"impact\": \"1\",\n    \"urgency\": \"3\",\n    \"correlation_id\": \"\",\n    \"sys_tags\": \"\",\n    \"sys_domain\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/global\",\n      \"value\": \"global\"\n    },\n    \"description\": \"\",\n    \"group_list\": \"\",\n    \"priority\": \"3\",\n    \"delivery_plan\": \"\",\n    \"sys_mod_count\": \"4\",\n    \"work_notes_list\": \"\",\n    \"business_service\": \"\",\n    \"follow_up\": \"\",\n    \"closed_at\": \"\",\n    \"sla_due\": \"2015-11-11 22:04:15\",\n    \"delivery_task\": \"\",\n    \"sys_updated_on\": \"2015-11-01 22:37:27\",\n    \"parent\": \"\",\n    \"work_end\": \"\",\n    \"number\": \"INC0000046\",\n    \"closed_by\": \"\",\n    \"work_start\": \"\",\n    \"calendar_stc\": \"\",\n    \"category\": \"software\",\n    \"business_duration\": \"\",\n    \"incident_state\": \"1\",\n    \"activity_due\": \"\",\n    \"correlation_display\": \"\",\n    \"company\": \"\",\n    \"active\": \"true\",\n    \"due_date\": \"\",\n    \"assignment_group\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/8a4dde73c6112278017a6a4baf547aa7\",\n      \"value\": \"8a4dde73c6112278017a6a4baf547aa7\"\n    },\n    \"caller_id\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/46c6f9efa9fe198101ddf5eed9adf6e7\",\n      \"value\": \"46c6f9efa9fe198101ddf5eed9adf6e7\"\n    },\n    \"knowledge\": \"false\",\n    \"made_sla\": \"false\",\n    \"comments_and_work_notes\": \"\",\n    \"parent_incident\": \"\",\n    \"state\": \"1\",\n    \"user_input\": \"\",\n    \"sys_created_on\": \"2015-11-01 22:05:30\",\n    \"approval_set\": \"\",\n    \"reassignment_count\": \"1\",\n    \"rfc\": \"\",\n    \"child_incidents\": \"\",\n    \"opened_at\": \"2015-11-02 22:04:15\",\n    \"short_description\": \"Can't access SFA software\",\n    \"order\": \"\",\n    \"sys_updated_by\": \"glide.maint\",\n    \"resolved_by\": \"\",\n    \"notify\": \"1\",\n    \"upon_reject\": \"\",\n    \"approval_history\": \"\",\n    \"problem_id\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/problem/a9e4890bc6112276003d7a5a5c774a74\",\n      \"value\": \"a9e4890bc6112276003d7a5a5c774a74\"\n    },\n    \"work_notes\": \"\",\n    \"calendar_duration\": \"\",\n    \"close_code\": \"\",\n    \"sys_id\": \"a9e30c7dc61122760116894de7bcc7bd\",\n    \"approval\": \"not requested\",\n    \"caused_by\": \"\",\n    \"severity\": \"3\",\n    \"sys_created_by\": \"admin\",\n    \"resolved_at\": \"\",\n    \"assigned_to\": \"\",\n    \"business_stc\": \"\",\n    \"wf_activity\": \"\",\n    \"sys_domain_path\": \"/\",\n    \"cmdb_ci\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_ci/a9c0c8d2c6112276018f7705562f9cb0\",\n      \"value\": \"a9c0c8d2c6112276018f7705562f9cb0\"\n    },\n    \"opened_by\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/46c6f9efa9fe198101ddf5eed9adf6e7\",\n      \"value\": \"46c6f9efa9fe198101ddf5eed9adf6e7\"\n    },\n    \"subcategory\": \"\",\n    \"rejection_goto\": \"\",\n    \"sys_class_name\": \"incident\",\n    \"watch_list\": \"\",\n    \"time_worked\": \"\",\n    \"contact_type\": \"phone\",\n    \"escalation\": \"0\",\n    \"comments\": \"\"\n  }\n}\n```\n\n## Table - PATCH /now/table/\\{tableName\\}/\\{sys\\_id\\}\n\nUpdates the specified record with the name-value pairs included in the request body.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/table/{tableName}/{sys_id}`\n\nDefault URL: `/api/now/table/{tableName}/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nSys\\_id of the record to update.Data type: String\n\n</td></tr><tr><td>\n\ntableName\n\n</td><td>\n\nName of the table in which to the specified record is located.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_display\\_value\n\n</td><td>\n\nDetermines the type of data returned, either the actual values from the database or the display values of the fields. Display values are manipulated based on the actual value in the database and user or system settings and preferences.If returning display values, the value that is returned is dependent on the field type.\n\n-   Choice fields: The database value may be a number, but the display value will be more descriptive.\n-   Date fields: The database value is in UTC format, while the display value is based on the user's time zone.\n-   Encrypted text: The database value is encrypted, while the displayed value is unencrypted based on the user's encryption context.\n-   Reference fields: The database value is sys\\_id, but the display value is a display field of the referenced record.\n\nData type: String\n\nValid values:\n\n-   true: Returns the display values for all fields.\n-   false: Returns the actual values from the database.\n-   all: Returns both actual and display values.\n\nDefault: false\n\n**Note:** There is no preferred method for setting this parameter. However, specifying the display value may cause performance issues since it is not reading directly from the database and may include referencing other fields and records. For more information on display values and actual values, see [Table API FAQs \\(KB0534905\\).](https://support.servicenow.com/kb_view.do?sysparm_article=KB0534905)\n\n</td></tr><tr><td>\n\nsysparm\\_fields\n\n</td><td>\n\nComma-separated list of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: Return all fields.\n\n</td></tr><tr><td>\n\nsysparm\\_input\\_display\\_value\n\n</td><td>\n\nFlag that indicates whether to set field values using the display value or the actual value. Depending on the different types of fields, the endpoint may manipulate the passed in display values to store the proper values in the database. For example, if you send the display name for a reference field, the endpoint stores the sys\\_id for that value in the database. For date and time fields, when this parameter is true, the date and time value is adjusted for the current user's timezone. When false, the date and time value is inserted using the GMT timezone.Valid values:\n\n-   true: Treats input values as display values and they are manipulated so they are stored properly in the database.\n-   false: Treats input values as actual values and stores them in the database without manipulation.\n\nData type: Boolean\n\nDefault: false - This matches the data type that is returned during data retrieval \\(GET methods\\), which is the actual values.\n\n**Note:** To set the value of an encrypted field, you must set this parameter to `true`. If this parameter is not set to true, values submitted to encrypted fields are not saved. Additionally, the requesting user must have the appropriate encryption context prior to submitting the request. Encrypted fields are hidden for users without the appropriate encryption context. For more information on field encryption see [Encryption](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-security/encryption-landing.md).\n\n</td></tr><tr><td>\n\nsysparm\\_query\\_no\\_domain\n\n</td><td>\n\nFlag that indicates whether to restrict the record search to only the domains for which the logged in user is configured.Valid values:\n\n-   false: Exclude the record if it is in a domain that the currently logged in user is not configured to access.\n-   true: Include the record even if it is in a domain that the currently logged in user is not configured to access.\n\nData type: Boolean\n\nDefault: false\n\n**Note:** The **sysparm\\_query\\_no\\_domain** parameter is available only to system administrators or users who have the query\\_no\\_domain\\_table\\_api role.\n\n</td></tr><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nUI view for which to render the data. Determines the fields returned in the response.Valid values:\n\n-   desktop\n-   mobile\n-   both\n\nIf you also specify the **sysparm\\_fields** parameter, it takes precedent.\n\nData type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nname-value pairs\n\n</td><td>\n\nField name and the new value for each parameter to update in the specified record. **Note:** All fields within a record may not be available for update. For example, fields that have a prefix of \"sys\\_\" are typically system parameters that are automatically generated and cannot be updated.\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td>\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td>\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nX-no-response-body\n\n</td><td>\n\nBy default, responses include body content detailing the modified record. Set this request header to true to suppress the response body.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|name-value pairs|Field names and values of all parameters within the specified record or those specified in the query parameters.|\n\n### cURL request\n\nUpdate a record in the Incident table.\n\n```\ncurl \"https://instance.servicenow.com/api/now/table/incident/ef43c6d40a0a0b5700c77f9bf387afe3\" \\\n--request PATCH \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{'assigned_to':'681b365ec0a80164000fb0b05854a0cd','urgency':'1','comments':'Elevating urgency, this is a blocking issue'}\" \\\n--user 'username':'password'\n```\n\nThe response contains the name-value pairs for the updated record.\n\n```\n{\n  \"result\": {\n    \"upon_approval\": \"proceed\",\n    \"location\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/cmn_location/108752c8c611227501d4ab0e392ba97f\",\n      \"value\": \"108752c8c611227501d4ab0e392ba97f\"\n    },\n    \"expected_start\": \"\",\n    \"reopen_count\": \"\",\n    \"close_notes\": \"\",\n    \"additional_assignee_list\": \"\",\n    \"impact\": \"1\",\n    \"urgency\": \"1\",\n    \"correlation_id\": \"\",\n    \"sys_tags\": \"\",\n    \"sys_domain\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/global\",\n      \"value\": \"global\"\n    },\n    \"description\": \"\",\n    \"group_list\": \"\",\n    \"priority\": \"1\",\n    \"delivery_plan\": \"\",\n    \"sys_mod_count\": \"7\",\n    \"work_notes_list\": \"\",\n    \"business_service\": \"\",\n    \"follow_up\": \"\",\n    \"closed_at\": \"\",\n    \"sla_due\": \"2017-07-05 05:58:24\",\n    \"delivery_task\": \"\",\n    \"sys_updated_on\": \"2016-01-22 14:12:37\",\n    \"parent\": \"\",\n    \"work_end\": \"\",\n    \"number\": \"INC0000050\",\n    \"closed_by\": \"\",\n    \"work_start\": \"\",\n    \"calendar_stc\": \"\",\n    \"category\": \"hardware\",\n    \"business_duration\": \"\",\n    \"incident_state\": \"2\",\n    \"activity_due\": \"2016-01-22 16:12:37\",\n    \"correlation_display\": \"\",\n    \"company\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/core_company/31bea3d53790200044e0bfc8bcbe5dec\",\n      \"value\": \"31bea3d53790200044e0bfc8bcbe5dec\"\n    },\n    \"active\": \"true\",\n    \"due_date\": \"\",\n    \"assignment_group\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/8a5055c9c61122780043563ef53438e3\",\n      \"value\": \"8a5055c9c61122780043563ef53438e3\"\n    },\n    \"caller_id\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/5b7c200d0a640069006b3845b5d0fa7c\",\n      \"value\": \"5b7c200d0a640069006b3845b5d0fa7c\"\n    },\n    \"knowledge\": \"false\",\n    \"made_sla\": \"true\",\n    \"comments_and_work_notes\": \"\",\n    \"parent_incident\": \"\",\n    \"state\": \"2\",\n    \"user_input\": \"\",\n    \"sys_created_on\": \"2015-11-02 18:05:40\",\n    \"approval_set\": \"\",\n    \"reassignment_count\": \"0\",\n    \"rfc\": \"\",\n    \"child_incidents\": \"\",\n    \"opened_at\": \"2015-11-02 21:58:24\",\n    \"short_description\": \"Can't access Exchange server - is it down?\",\n    \"order\": \"\",\n    \"sys_updated_by\": \"admin\",\n    \"resolved_by\": \"\",\n    \"notify\": \"1\",\n    \"upon_reject\": \"cancel\",\n    \"approval_history\": \"\",\n    \"problem_id\": \"\",\n    \"work_notes\": \"\",\n    \"calendar_duration\": \"\",\n    \"close_code\": \"\",\n    \"sys_id\": \"ef43c6d40a0a0b5700c77f9bf387afe3\",\n    \"approval\": \"not requested\",\n    \"caused_by\": \"\",\n    \"severity\": \"3\",\n    \"sys_created_by\": \"glide.maint\",\n    \"resolved_at\": \"\",\n    \"assigned_to\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/681b365ec0a80164000fb0b05854a0cd\",\n      \"value\": \"681b365ec0a80164000fb0b05854a0cd\"\n    },\n    \"business_stc\": \"\",\n    \"wf_activity\": \"\",\n    \"sys_domain_path\": \"/\",\n    \"cmdb_ci\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_ci/281190e3c0a8000b003f593aa3f20ca6\",\n      \"value\": \"281190e3c0a8000b003f593aa3f20ca6\"\n    },\n    \"opened_by\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/glide.maint\",\n      \"value\": \"glide.maint\"\n    },\n    \"subcategory\": \"\",\n    \"rejection_goto\": \"\",\n    \"sys_class_name\": \"incident\",\n    \"watch_list\": \"\",\n    \"time_worked\": \"\",\n    \"contact_type\": \"phone\",\n    \"escalation\": \"3\",\n    \"comments\": \"\"\n  }\n}\n```\n\n## Table - POST /now/table/\\{tableName\\}\n\nInserts one record in the specified table. Multiple record insertion is not supported by this method.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/table/{tableName}`\n\nDefault URL: `/api/now/table/{tableName}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td>\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\ntableName\n\n</td><td>\n\nName of the table in which to save the record.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_display\\_value\n\n</td><td>\n\nDetermines the type of data returned, either the actual values from the database or the display values of the fields. Display values are manipulated based on the actual value in the database and user or system settings and preferences.If returning display values, the value that is returned is dependent on the field type.\n\n-   Choice fields: The database value may be a number, but the display value will be more descriptive.\n-   Date fields: The database value is in UTC format, while the display value is based on the user's time zone.\n-   Encrypted text: The database value is encrypted, while the displayed value is unencrypted based on the user's encryption context.\n-   Reference fields: The database value is sys\\_id, but the display value is a display field of the referenced record.\n\nData type: String\n\nValid values:\n\n-   true: Returns the display values for all fields.\n-   false: Returns the actual values from the database.\n-   all: Returns both actual and display values.\n\nDefault: false\n\n**Note:** There is no preferred method for setting this parameter. However, specifying the display value may cause performance issues since it is not reading directly from the database and may include referencing other fields and records. For more information on display values and actual values, see [Table API FAQs \\(KB0534905\\).](https://support.servicenow.com/kb_view.do?sysparm_article=KB0534905)\n\n</td></tr><tr><td>\n\nsysparm\\_exclude\\_reference\\_link\n\n</td><td>\n\nFlag that indicates whether to exclude Table API links for reference fields.Valid values:\n\n-   true: Exclude Table API links for reference fields.\n-   false: Include Table API links for reference fields.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nsysparm\\_fields\n\n</td><td>\n\nComma-separated list of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: Return all fields.\n\n</td></tr><tr><td>\n\nsysparm\\_input\\_display\\_value\n\n</td><td>\n\nFlag that indicates whether to set field values using the display value or the actual value. Depending on the different types of fields, the endpoint may manipulate the passed in display values to store the proper values in the database. For example, if you send the display name for a reference field, the endpoint stores the sys\\_id for that value in the database. For date and time fields, when this parameter is true, the date and time value is adjusted for the current user's timezone. When false, the date and time value is inserted using the GMT timezone.Valid values:\n\n-   true: Treats input values as display values and they are manipulated so they are stored properly in the database.\n-   false: Treats input values as actual values and stores them in the database without manipulation.\n\nData type: Boolean\n\nDefault: false - This matches the data type that is returned during data retrieval \\(GET methods\\), which is the actual values.\n\n**Note:** To set the value of an encrypted field, you must set this parameter to `true`. If this parameter is not set to true, values submitted to encrypted fields are not saved. Additionally, the requesting user must have the appropriate encryption context prior to submitting the request. Encrypted fields are hidden for users without the appropriate encryption context. For more information on field encryption see [Encryption](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-security/encryption-landing.md).\n\n</td></tr><tr><td>\n\nsysparm\\_view\n\n</td><td>\n\nUI view for which to render the data. Determines the fields returned in the response.Valid values:\n\n-   desktop\n-   mobile\n-   both\n\nIf you also specify the **sysparm\\_fields** parameter, it takes precedent.\n\nData type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_request_body\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nname-value pairs\n\n</td><td>\n\nField name and the associated value for each parameter to define in the specified record. **Note:** All fields within a record may not be available for update. For example, fields that have a prefix of \"sys\\_\" are typically system parameters that are automatically generated and cannot be updated.\n\nFields that are not specified and not auto generated by the system are set to the associated data type's null value.\n\n</td></tr></tbody>\n</table>### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td>\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td>\n\nData format of the request body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nX-no-response-body\n\n</td><td>\n\nBy default, responses include body content detailing the new record. Set this header to true in the request to suppress the response body.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|Location|Location of the created resource.|\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|201|Indicates that the request completed successfully.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|name-value pairs|Field names and values of all parameters within the newly created record or those specified in the query parameters.|\n\n### cURL request\n\nInsert a new record into the Incident table.\n\n```\ncurl \"https://instance.servicenow.com/api/now/table/incident\" \\\n--request POST \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{'short_description':'Unable to connect to office wifi','assignment_group':'287ebd7da9fe198100f92cc8d1d2154e','urgency':'2','impact':'2'}\" \\\n--user 'username':'password'\n```\n\nThe response contains the name-value pairs for the new record.\n\n```\n{\n  \"result\": {\n    \"upon_approval\": \"proceed\",\n    \"location\": \"\",\n    \"expected_start\": \"\",\n    \"reopen_count\": \"0\",\n    \"close_notes\": \"\",\n    \"additional_assignee_list\": \"\",\n    \"impact\": \"2\",\n    \"urgency\": \"2\",\n    \"correlation_id\": \"\",\n    \"sys_tags\": \"\",\n    \"sys_domain\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/global\",\n      \"value\": \"global\"\n    },\n    \"description\": \"\",\n    \"group_list\": \"\",\n    \"priority\": \"3\",\n    \"delivery_plan\": \"\",\n    \"sys_mod_count\": \"0\",\n    \"work_notes_list\": \"\",\n    \"business_service\": \"\",\n    \"follow_up\": \"\",\n    \"closed_at\": \"\",\n    \"sla_due\": \"\",\n    \"delivery_task\": \"\",\n    \"sys_updated_on\": \"2016-01-22 14:28:24\",\n    \"parent\": \"\",\n    \"work_end\": \"\",\n    \"number\": \"INC0010002\",\n    \"closed_by\": \"\",\n    \"work_start\": \"\",\n    \"calendar_stc\": \"\",\n    \"category\": \"inquiry\",\n    \"business_duration\": \"\",\n    \"incident_state\": \"1\",\n    \"activity_due\": \"\",\n    \"correlation_display\": \"\",\n    \"company\": \"\",\n    \"active\": \"true\",\n    \"due_date\": \"\",\n    \"assignment_group\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/287ebd7da9fe198100f92cc8d1d2154e\",\n      \"value\": \"287ebd7da9fe198100f92cc8d1d2154e\"\n    },\n    \"caller_id\": \"\",\n    \"knowledge\": \"false\",\n    \"made_sla\": \"true\",\n    \"comments_and_work_notes\": \"\",\n    \"parent_incident\": \"\",\n    \"state\": \"1\",\n    \"user_input\": \"\",\n    \"sys_created_on\": \"2016-01-22 14:28:24\",\n    \"approval_set\": \"\",\n    \"reassignment_count\": \"0\",\n    \"rfc\": \"\",\n    \"child_incidents\": \"0\",\n    \"opened_at\": \"2016-01-22 14:28:24\",\n    \"short_description\": \"Unable to connect to office wifi\",\n    \"order\": \"\",\n    \"sys_updated_by\": \"admin\",\n    \"resolved_by\": \"\",\n    \"notify\": \"1\",\n    \"upon_reject\": \"cancel\",\n    \"approval_history\": \"\",\n    \"problem_id\": \"\",\n    \"work_notes\": \"\",\n    \"calendar_duration\": \"\",\n    \"close_code\": \"\",\n    \"sys_id\": \"c537bae64f411200adf9f8e18110c76e\",\n    \"approval\": \"not requested\",\n    \"caused_by\": \"\",\n    \"severity\": \"3\",\n    \"sys_created_by\": \"admin\",\n    \"resolved_at\": \"\",\n    \"assigned_to\": \"\",\n    \"business_stc\": \"\",\n    \"wf_activity\": \"\",\n    \"sys_domain_path\": \"/\",\n    \"cmdb_ci\": \"\",\n    \"opened_by\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/6816f79cc0a8016401c5a33be04be441\",\n      \"value\": \"6816f79cc0a8016401c5a33be04be441\"\n    },\n    \"subcategory\": \"\",\n    \"rejection_goto\": \"\",\n    \"sys_class_name\": \"incident\",\n    \"watch_list\": \"\",\n    \"time_worked\": \"\",\n    \"contact_type\": \"phone\",\n    \"escalation\": \"0\",\n    \"comments\": \"\"\n  }\n}\n```\n\n## Table - PUT /now/table/\\{tableName\\}/\\{sys\\_id\\}\n\nUpdates the specified record with the request body.\n\n### URL format\n\nVersioned URL: `/api/now/{api_version}/table/{tableName}/{sys_id}`\n\nDefault URL: `/api/now/table/{tableName}/{sys_id}`\n\n**Note:** Available versions are specified in the [REST API Explorer](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/use-REST-API-Explorer.md). For scripted REST APIs there is additional version information on the [Scripted REST Service form](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_CustomWebServices.md).\n\n### Supported request parameters\n\n<table class=\"rest_api_path_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\napi\\_version\n\n</td><td id=\"version-entry-RESTAPI\">\n\nOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String\n\n</td></tr><tr><td>\n\nsys\\_id\n\n</td><td>\n\nUnique identifier of the record to update.Data type: String\n\n</td></tr><tr><td>\n\ntableName\n\n</td><td>\n\nName of the table in which the record is located.Data type: String\n\n</td></tr></tbody>\n</table><table class=\"rest_api_query_parameters\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nsysparm\\_display\\_value\n\n</td><td>\n\nDetermines the type of data returned, either the actual values from the database or the display values of the fields. Display values are manipulated based on the actual value in the database and user or system settings and preferences.If returning display values, the value that is returned is dependent on the field type.\n\n-   Choice fields: The database value may be a number, but the display value will be more descriptive.\n-   Date fields: The database value is in UTC format, while the display value is based on the user's time zone.\n-   Encrypted text: The database value is encrypted, while the displayed value is unencrypted based on the user's encryption context.\n-   Reference fields: The database value is sys\\_id, but the display value is a display field of the referenced record.\n\nData type: String\n\nValid values:\n\n-   true: Returns the display values for all fields.\n-   false: Returns the actual values from the database.\n-   all: Returns both actual and display values.\n\nDefault: false\n\n**Note:** There is no preferred method for setting this parameter. However, specifying the display value may cause performance issues since it is not reading directly from the database and may include referencing other fields and records. For more information on display values and actual values, see [Table API FAQs \\(KB0534905\\).](https://support.servicenow.com/kb_view.do?sysparm_article=KB0534905)\n\n</td></tr><tr><td>\n\nsysparm\\_exclude\\_reference\\_link\n\n</td><td>\n\nFlag that indicates whether to exclude Table API links for reference fields.Valid values:\n\n-   true: Exclude Table API links for reference fields.\n-   false: Include Table API links for reference fields.\n\nData type: Boolean\n\nDefault: false\n\n</td></tr><tr><td>\n\nsysparm\\_fields\n\n</td><td>\n\nComma-separated list of fields to return in the response. Invalid fields are ignored.Data type: String\n\nDefault: Return all fields.\n\n</td></tr><tr><td>\n\nsysparm\\_input\\_display\\_value\n\n</td><td>\n\nFlag that indicates whether to set field values using the display value or the actual value.Valid values:\n\n-   true: Treats input values as display values and they are manipulated so they can be stored properly in the database.\n-   false: Treats input values as actual values and stored them in the database without manipulation.\n\nData type: Boolean\n\nDefault: false\n\n**Note:**\n\n-   If this parameter is set to true, pay attention to input values, especially date values, as these are interpreted as being supplied via the user time zone preference and are transformed into UTC format.\n-   To set the value of an encrypted field, you must set this parameter to `true`. If this parameter is not set to true, values submitted to encrypted fields are not saved. Additionally, the requesting user must have the appropriate encryption context prior to submitting the request. Encrypted fields are hidden for users without the appropriate encryption context. For more information on display values and actual values, see [Table API FAQs \\(KB0534905\\)](https://support.servicenow.com/kb_view.do?sysparm_article=KB0534905). For more information on field encryption see [Field Encryption](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/platform-security/field-encryption.md).\n\n</td></tr><tr><td>\n\nsysparm\\_query\\_no\\_domain\n\n</td><td>\n\nFlag that indicates whether to restrict the record search to only the domains for which the logged in user is configured.Valid values:\n\n-   false: Exclude the record if it is in a domain that the currently logged in user is not configured to access.\n-   true: Include the record even if it is in a domain that the currently logged in user is not configured to access.\n\nData type: Boolean\n\nDefault: false\n\n**Note:** The **sysparm\\_query\\_no\\_domain** parameter is available only to system administrators or users who have the query\\_no\\_domain\\_table\\_api role.\n\n</td></tr><tr><td>\n\nsysparm\\_view\n\n</td><td id=\"sysparm_view-entry-RESTAPI\">\n\nUI view for which to render the data. Determines the fields returned in the response.Valid values:\n\n-   desktop\n-   mobile\n-   both\n\nIf you also specify the **sysparm\\_fields** parameter, it takes precedent.\n\nData type: String\n\n</td></tr></tbody>\n</table>|Name|Description|\n|----|-----------|\n|name-value pairs|Name-value pairs for the field\\(s\\) to update in the associated table. For example, to update the short description file, enter a name-value pair similar to the following: `--data \"{\\\"short_description\\\": \\\"my short desc\\\" }\" \\`.|\n\n### Headers\n\nThe following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see [Supported REST API headers](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n<table class=\"rest_api_request_headers\"><thead><tr><th>\n\nHeader\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nAccept\n\n</td><td>\n\nData format of the response body. Supported types: **application/json** or **application/xml**. Default: **application/json**\n\n</td></tr><tr><td>\n\nContent-Type\n\n</td><td>\n\nData format of the request body. Supported types: **application/json** or **application/xml**.\n\n</td></tr><tr><td>\n\nX-no-response-body\n\n</td><td>\n\nBy default, responses include body content detailing the modified record. Set this header to true in the request to suppress the response body.\n\n</td></tr></tbody>\n</table>|Header|Description|\n|------|-----------|\n|None| |\n\n### Status codes\n\nThe following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see [REST API HTTP response codes](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/c_RESTAPI.md).\n\n|Status code|Description|\n|-----------|-----------|\n|200|Successful. The request was successfully processed.|\n|400|Bad Request. A bad request type or malformed request was detected.|\n|404|Not found. The requested item wasn't found.|\n\n### Response body parameters \\(JSON or XML\\)\n\n|Name|Description|\n|----|-----------|\n|name-value pairs|All fields \\(not just modified\\) with their associated values for the change request.|\n\n### cURL request\n\nUpdate a record in the Incident table.\n\n```\ncurl \"https://instance.servicenow.com/api/now/table/incident/ef43c6d40a0a0b5700c77f9bf387afe3\" \\\n--request PUT \\\n--header \"Accept:application/json\" \\\n--header \"Content-Type:application/json\" \\\n--data \"{'assigned_to':'681b365ec0a80164000fb0b05854a0cd','urgency':'1','comments':'Elevating urgency, this is a blocking issue'}\" \\\n--user 'username':'password'\n```\n\nThe response contains the name-value pairs for the updated record.\n\n```\n{\n  \"result\": {\n    \"upon_approval\": \"proceed\",\n    \"location\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/cmn_location/108752c8c611227501d4ab0e392ba97f\",\n      \"value\": \"108752c8c611227501d4ab0e392ba97f\"\n    },\n    \"expected_start\": \"\",\n    \"reopen_count\": \"\",\n    \"close_notes\": \"\",\n    \"additional_assignee_list\": \"\",\n    \"impact\": \"1\",\n    \"urgency\": \"1\",\n    \"correlation_id\": \"\",\n    \"sys_tags\": \"\",\n    \"sys_domain\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/global\",\n      \"value\": \"global\"\n    },\n    \"description\": \"\",\n    \"group_list\": \"\",\n    \"priority\": \"1\",\n    \"delivery_plan\": \"\",\n    \"sys_mod_count\": \"7\",\n    \"work_notes_list\": \"\",\n    \"business_service\": \"\",\n    \"follow_up\": \"\",\n    \"closed_at\": \"\",\n    \"sla_due\": \"2017-07-05 05:58:24\",\n    \"delivery_task\": \"\",\n    \"sys_updated_on\": \"2016-01-22 14:12:37\",\n    \"parent\": \"\",\n    \"work_end\": \"\",\n    \"number\": \"INC0000050\",\n    \"closed_by\": \"\",\n    \"work_start\": \"\",\n    \"calendar_stc\": \"\",\n    \"category\": \"hardware\",\n    \"business_duration\": \"\",\n    \"incident_state\": \"2\",\n    \"activity_due\": \"2016-01-22 16:12:37\",\n    \"correlation_display\": \"\",\n    \"company\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/core_company/31bea3d53790200044e0bfc8bcbe5dec\",\n      \"value\": \"31bea3d53790200044e0bfc8bcbe5dec\"\n    },\n    \"active\": \"true\",\n    \"due_date\": \"\",\n    \"assignment_group\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user_group/8a5055c9c61122780043563ef53438e3\",\n      \"value\": \"8a5055c9c61122780043563ef53438e3\"\n    },\n    \"caller_id\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/5b7c200d0a640069006b3845b5d0fa7c\",\n      \"value\": \"5b7c200d0a640069006b3845b5d0fa7c\"\n    },\n    \"knowledge\": \"false\",\n    \"made_sla\": \"true\",\n    \"comments_and_work_notes\": \"\",\n    \"parent_incident\": \"\",\n    \"state\": \"2\",\n    \"user_input\": \"\",\n    \"sys_created_on\": \"2015-11-02 18:05:40\",\n    \"approval_set\": \"\",\n    \"reassignment_count\": \"0\",\n    \"rfc\": \"\",\n    \"child_incidents\": \"\",\n    \"opened_at\": \"2015-11-02 21:58:24\",\n    \"short_description\": \"Can't access Exchange server - is it down?\",\n    \"order\": \"\",\n    \"sys_updated_by\": \"admin\",\n    \"resolved_by\": \"\",\n    \"notify\": \"1\",\n    \"upon_reject\": \"cancel\",\n    \"approval_history\": \"\",\n    \"problem_id\": \"\",\n    \"work_notes\": \"\",\n    \"calendar_duration\": \"\",\n    \"close_code\": \"\",\n    \"sys_id\": \"ef43c6d40a0a0b5700c77f9bf387afe3\",\n    \"approval\": \"not requested\",\n    \"caused_by\": \"\",\n    \"severity\": \"3\",\n    \"sys_created_by\": \"glide.maint\",\n    \"resolved_at\": \"\",\n    \"assigned_to\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/681b365ec0a80164000fb0b05854a0cd\",\n      \"value\": \"681b365ec0a80164000fb0b05854a0cd\"\n    },\n    \"business_stc\": \"\",\n    \"wf_activity\": \"\",\n    \"sys_domain_path\": \"/\",\n    \"cmdb_ci\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/cmdb_ci/281190e3c0a8000b003f593aa3f20ca6\",\n      \"value\": \"281190e3c0a8000b003f593aa3f20ca6\"\n    },\n    \"opened_by\": {\n      \"link\": \"https://instance.servicenow.com/api/now/table/sys_user/glide.maint\",\n      \"value\": \"glide.maint\"\n    },\n    \"subcategory\": \"\",\n    \"rejection_goto\": \"\",\n    \"sys_class_name\": \"incident\",\n    \"watch_list\": \"\",\n    \"time_worked\": \"\",\n    \"contact_type\": \"phone\",\n    \"escalation\": \"3\",\n    \"comments\": \"\"\n  }\n}\n```\n\n"}}